Package Details: plastimatch-static 1.6.2-1

Git Clone URL: https://aur.archlinux.org/plastimatch-static.git (read-only)
Package Base: plastimatch-static
Description: Tools for medical image reconstruction and registration.
Upstream URL: http://plastimatch.org/
Licenses: BSD
Conflicts: plastimatch
Submitter: h4l
Maintainer: h4l
Last Packager: h4l
Votes: 0
Popularity: 0.000000
First Submitted: 2015-12-12 11:56
Last Updated: 2015-12-12 12:06

Latest Comments

h4l commented on 2019-10-08 17:51

My previous message was unclear: I tried switching to using either v1.8.0 or v1.6.2 source tarballs in Gitlab. Neither will compile due to ITK version.

h4l commented on 2019-10-08 17:48

Thanks for the nudge. I tried bumping to v1.8.0, but the version of ITK currently in Arch is 5 and plastimatch requires 4. I tried switching the source tarball to Gitlab, but it fails to build with the message:

CMake Error at CMakeLists.txt:656 (message):
  Fatal Error.  ITK version should be either 3.X or 4.X

ITK appears to be a hard requirement, so I'm not sure what can be done short of patching Plastimatch sources. I rarely use this package and don't have a pressing need to revive it. If anyone has an idea how to get around the version incompatibility I will gladly accept patches or pass along ownership.

astewartau commented on 2019-10-08 01:50

Thanks for packaging this!

Can you please updated it to use the Gitlab source? The current sources link is broken.

I think it should be:

source="(https://gitlab.com/plastimatch/plastimatch/-/archive/${pkgver}/plastimatch-${pkgver}.tar.bz2")

The latest version is 1.8.0.

The md5sums and sha1sums should also change. I am uncertain if there are any changes to dependencies.